// JavaScript Document

// #############################################

	var myRadio;
	var player_status;

$(document).ready(function(){
	
	player_status = 0; // 0=stop, 1=play

	//#####################################################
	
	myRadio = new Audio();
	myRadio.src = "http://server1.live1.co.il:8002/helendoron.mp3";

	myRadio.addEventListener("loadstart", function(){
		$(".player_txt_info").html('Getting stream...')
	},false);	

	myRadio.addEventListener("loadeddata", function(){
		$(".player_txt_info").html('Ready to play')
	},false);	

	myRadio.addEventListener("stalled", function(){
		$(".player_txt_info").html('Buffering')
	},false);	

	myRadio.addEventListener("playing", function(){
		$(".player_txt_info").html('Play')
	},false);	

	myRadio.addEventListener("pause", function(){
		$(".player_txt_info").html('Ready to play')
	},false);	

	myRadio.addEventListener("error", function(){
		$(".player_txt_info").html('Please try again later')
	},false);	
	
	//#####################################################

	$("#player_audio_1, #player_audio_2").click(function(e) {
		
		if (player_status == 0)
		{
			player_status = 1;
			myRadio.play();
			document.getElementById('play_img_1').src = "images/radio_stop_button.svg";
			document.getElementById('play_img_2').src = "images/radio_stop_button.svg";
		}
		else
		{
			player_status = 0;
			myRadio.pause();
			document.getElementById('play_img_1').src = "images/radio_play_button.svg";
			document.getElementById('play_img_2').src = "images/radio_play_button.svg";
		}
	});
	//#####################################################

	//$("#player_audio_1").trigger('click');
	
});	
